/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\Items\Misc\ResGate.cs
Lines of code: 55
***********************************************************/


using System;
using Server.Gumps;

namespace Server.Items
{


	public class ResGate : Item
	{
	
	private Mobile lastrezed;
	
		public override string DefaultName
		{
			get { return "a resurrection gate"; }
		}

		[Constructable]
		public ResGate() : base( 0xF6C )
		{
			Movable = false;
			Hue = 0x2D1;
			Light = LightType.Circle300;
		}

		public ResGate( Serial serial ) : base( serial )
		{
		}

		public override bool OnMoveOver( Mobile m )
		{
			if ( !m.Alive && m.Map != null && m.Map.CanFit( m.Location, 16, false, false ) )
			{
				m.PlaySound( 0x214 );
				m.FixedEffect( 0x376A, 10, 16 );

				m.CloseGump( typeof( ResurrectGump ) );
				m.SendGump( new ResurrectGump( m ) );
				
			
				
			lastrezed=m;		
			}
			else
			{
			
			 if(lastrezed==m)
			  { 
				m.Hits=1000;
				m.Mana=1000;
				m.Stam=1000;
				lastrezed=null;
			 }
			 			
			}

			return true;
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();		
		}
	}
}
